gnutls_certificate_get_peers_subkey_id(3)

NAME
gnutls_certificate_get_peers_subkey_id - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_certificate_get_peers_subkey_id(gnutls_session_t session, gnutls_datum_t * id);

ARGUMENTS

gnutls_session_t session
    is a gnutls session

gnutls_datum_t * id
    will contain the ID

DESCRIPTION
Get the peer's subkey ID when OpenPGP certificates are used. The returned id should be treated as constant.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise an error code is returned.

SINCE
3.1.3

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/